package com.bankaudit.dto.process;

import javax.persistence.Column;

public class ReportDto {
	
	private String legalEntityCode;
	private String financialYear;
	private String regionalHeadOffice;
	private String department;
	private String businessLine;
	private String product;
	private String process;
	private String subProcess;
	private String risk;
	private String lossEventType;
	private String residualRiskLevel;
	private String controlRatig;
	private String riskId;
	
	private String assessmentId;
	private String healthIndexCode;
	private String healthIndexDsec;
	private String healthIndexScore;
	private String residulRiskCode;
	private String residulRiskDesc;
	private String residulRiskScore;
	private String controlProfileCode;
	private String controlProfileDesc;
	private String controlProfileScore;
	private String prevAssessmentId;
	private String prevAssmntDtls;
	private String prevAssmntHealthIndexCode;
	private String prevAssmntHealthIndexDsec;
	private String prevAssmntHealthIndexScore;
	private String prevAssmntResidulRiskCode;
	private String prevAssmntResidulRiskDesc;
	private String prevAssmntResidulRiskScore;
	private String prevAssmntControlProfileCode;
	private String prevAssmntControlProfileDesc;
	private String prevAssmntControlProfileScore;
	private String healthIndexUP;
	private String residulRiskUP;
	private String controlProfileUP;
	
	private String serialNumber;
	private String planId;
	private String latestStatus;
	private String leadId;
	private String membersId;
	private String assessorsId;
	private String totalRiskRecords;
	private String assessmentOpen;
	private String assessmentMaker;
	private String assessmentChecked;
	private String assessmentRejected;
	private String auditChecked;
	private String actionPlanOpen;
	private String actionPlanMaker;
	private String actionPlanChecked;
	private String actionPlanRejected;
		
	private String unitCode;
	private String unitName;
	private String address1;
	private String address2;
	private String address3;
	private String city;
	private String pincode;
	private String firstName;
	private String lastName;
	
	public String getLegalEntityCode() {
		return legalEntityCode;
	}
	public void setLegalEntityCode(String legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}
	public String getFinancialYear() {
		return financialYear;
	}
	public void setFinancialYear(String financialYear) {
		this.financialYear = financialYear;
	}
	public String getRegionalHeadOffice() {
		return regionalHeadOffice;
	}
	public void setRegionalHeadOffice(String regionalHeadOffice) {
		this.regionalHeadOffice = regionalHeadOffice;
	}
	public String getDepartment() {
		return department;
	}
	public void setDepartment(String department) {
		this.department = department;
	}
	public String getBusinessLine() {
		return businessLine;
	}
	public void setBusinessLine(String businessLine) {
		this.businessLine = businessLine;
	}
	public String getProduct() {
		return product;
	}
	public void setProduct(String product) {
		this.product = product;
	}
	public String getProcess() {
		return process;
	}
	public void setProcess(String process) {
		this.process = process;
	}
	public String getSubProcess() {
		return subProcess;
	}
	public void setSubProcess(String subProcess) {
		this.subProcess = subProcess;
	}
	public String getRisk() {
		return risk;
	}
	public void setRisk(String risk) {
		this.risk = risk;
	}
	public String getLossEventType() {
		return lossEventType;
	}
	public void setLossEventType(String lossEventType) {
		this.lossEventType = lossEventType;
	}
	public String getResidualRiskLevel() {
		return residualRiskLevel;
	}
	public void setResidualRiskLevel(String residualRiskLevel) {
		this.residualRiskLevel = residualRiskLevel;
	}
	public String getControlRatig() {
		return controlRatig;
	}
	public void setControlRatig(String controlRatig) {
		this.controlRatig = controlRatig;
	}
	
	public String getRiskId() {
		return riskId;
	}
	public void setRiskId(String riskId) {
		this.riskId = riskId;
	}
	public String getHealthIndexCode() {
		return healthIndexCode;
	}
	public void setHealthIndexCode(String healthIndexCode) {
		this.healthIndexCode = healthIndexCode;
	}
	public String getHealthIndexDsec() {
		return healthIndexDsec;
	}
	public void setHealthIndexDsec(String healthIndexDsec) {
		this.healthIndexDsec = healthIndexDsec;
	}
	public String getHealthIndexScore() {
		return healthIndexScore;
	}
	public void setHealthIndexScore(String healthIndexScore) {
		this.healthIndexScore = healthIndexScore;
	}
	public String getResidulRiskCode() {
		return residulRiskCode;
	}
	public void setResidulRiskCode(String residulRiskCode) {
		this.residulRiskCode = residulRiskCode;
	}
	public String getResidulRiskDesc() {
		return residulRiskDesc;
	}
	public void setResidulRiskDesc(String residulRiskDesc) {
		this.residulRiskDesc = residulRiskDesc;
	}
	public String getResidulRiskScore() {
		return residulRiskScore;
	}
	public void setResidulRiskScore(String residulRiskScore) {
		this.residulRiskScore = residulRiskScore;
	}
	public String getControlProfileCode() {
		return controlProfileCode;
	}
	public void setControlProfileCode(String controlProfileCode) {
		this.controlProfileCode = controlProfileCode;
	}
	public String getControlProfileDesc() {
		return controlProfileDesc;
	}
	public void setControlProfileDesc(String controlProfileDesc) {
		this.controlProfileDesc = controlProfileDesc;
	}
	public String getControlProfileScore() {
		return controlProfileScore;
	}
	public void setControlProfileScore(String controlProfileScore) {
		this.controlProfileScore = controlProfileScore;
	}
	public String getAssessmentId() {
		return assessmentId;
	}
	public void setAssessmentId(String assessmentId) {
		this.assessmentId = assessmentId;
	}
	public String getPrevAssessmentId() {
		return prevAssessmentId;
	}
	public void setPrevAssessmentId(String prevAssessmentId) {
		this.prevAssessmentId = prevAssessmentId;
	}
	public String getPrevAssmntDtls() {
		return prevAssmntDtls;
	}
	public void setPrevAssmntDtls(String prevAssmntDtls) {
		this.prevAssmntDtls = prevAssmntDtls;
	}
	public String getPrevAssmntHealthIndexCode() {
		return prevAssmntHealthIndexCode;
	}
	public void setPrevAssmntHealthIndexCode(String prevAssmntHealthIndexCode) {
		this.prevAssmntHealthIndexCode = prevAssmntHealthIndexCode;
	}
	public String getPrevAssmntHealthIndexDsec() {
		return prevAssmntHealthIndexDsec;
	}
	public void setPrevAssmntHealthIndexDsec(String prevAssmntHealthIndexDsec) {
		this.prevAssmntHealthIndexDsec = prevAssmntHealthIndexDsec;
	}
	public String getPrevAssmntHealthIndexScore() {
		return prevAssmntHealthIndexScore;
	}
	public void setPrevAssmntHealthIndexScore(String prevAssmntHealthIndexScore) {
		this.prevAssmntHealthIndexScore = prevAssmntHealthIndexScore;
	}
	public String getPrevAssmntResidulRiskCode() {
		return prevAssmntResidulRiskCode;
	}
	public void setPrevAssmntResidulRiskCode(String prevAssmntResidulRiskCode) {
		this.prevAssmntResidulRiskCode = prevAssmntResidulRiskCode;
	}
	public String getPrevAssmntResidulRiskDesc() {
		return prevAssmntResidulRiskDesc;
	}
	public void setPrevAssmntResidulRiskDesc(String prevAssmntResidulRiskDesc) {
		this.prevAssmntResidulRiskDesc = prevAssmntResidulRiskDesc;
	}
	public String getPrevAssmntResidulRiskScore() {
		return prevAssmntResidulRiskScore;
	}
	public void setPrevAssmntResidulRiskScore(String prevAssmntResidulRiskScore) {
		this.prevAssmntResidulRiskScore = prevAssmntResidulRiskScore;
	}
	public String getPrevAssmntControlProfileCode() {
		return prevAssmntControlProfileCode;
	}
	public void setPrevAssmntControlProfileCode(String prevAssmntControlProfileCode) {
		this.prevAssmntControlProfileCode = prevAssmntControlProfileCode;
	}
	public String getPrevAssmntControlProfileDesc() {
		return prevAssmntControlProfileDesc;
	}
	public void setPrevAssmntControlProfileDesc(String prevAssmntControlProfileDesc) {
		this.prevAssmntControlProfileDesc = prevAssmntControlProfileDesc;
	}
	public String getPrevAssmntControlProfileScore() {
		return prevAssmntControlProfileScore;
	}
	public void setPrevAssmntControlProfileScore(String prevAssmntControlProfileScore) {
		this.prevAssmntControlProfileScore = prevAssmntControlProfileScore;
	}
	public String getHealthIndexUP() {
		return healthIndexUP;
	}
	public void setHealthIndexUP(String healthIndexUP) {
		this.healthIndexUP = healthIndexUP;
	}
	public String getResidulRiskUP() {
		return residulRiskUP;
	}
	public void setResidulRiskUP(String residulRiskUP) {
		this.residulRiskUP = residulRiskUP;
	}
	public String getControlProfileUP() {
		return controlProfileUP;
	}
	public void setControlProfileUP(String controlProfileUP) {
		this.controlProfileUP = controlProfileUP;
	}
	public String getSerialNumber() {
		return serialNumber;
	}
	public void setSerialNumber(String serialNumber) {
		this.serialNumber = serialNumber;
	}
	public String getPlanId() {
		return planId;
	}
	public void setPlanId(String planId) {
		this.planId = planId;
	}
	public String getLatestStatus() {
		return latestStatus;
	}
	public void setLatestStatus(String latestStatus) {
		this.latestStatus = latestStatus;
	}
	public String getLeadId() {
		return leadId;
	}
	public void setLeadId(String leadId) {
		this.leadId = leadId;
	}
	public String getMembersId() {
		return membersId;
	}
	public void setMembersId(String membersId) {
		this.membersId = membersId;
	}
	public String getAssessorsId() {
		return assessorsId;
	}
	public void setAssessorsId(String assessorsId) {
		this.assessorsId = assessorsId;
	}
	public String getTotalRiskRecords() {
		return totalRiskRecords;
	}
	public void setTotalRiskRecords(String totalRiskRecords) {
		this.totalRiskRecords = totalRiskRecords;
	}
	public String getAssessmentOpen() {
		return assessmentOpen;
	}
	public void setAssessmentOpen(String assessmentOpen) {
		this.assessmentOpen = assessmentOpen;
	}
	public String getAssessmentMaker() {
		return assessmentMaker;
	}
	public void setAssessmentMaker(String assessmentMaker) {
		this.assessmentMaker = assessmentMaker;
	}
	public String getAssessmentChecked() {
		return assessmentChecked;
	}
	public void setAssessmentChecked(String assessmentChecked) {
		this.assessmentChecked = assessmentChecked;
	}
	public String getAssessmentRejected() {
		return assessmentRejected;
	}
	public void setAssessmentRejected(String assessmentRejected) {
		this.assessmentRejected = assessmentRejected;
	}
	public String getAuditChecked() {
		return auditChecked;
	}
	public void setAuditChecked(String auditChecked) {
		this.auditChecked = auditChecked;
	}
	public String getActionPlanOpen() {
		return actionPlanOpen;
	}
	public void setActionPlanOpen(String actionPlanOpen) {
		this.actionPlanOpen = actionPlanOpen;
	}
	public String getActionPlanMaker() {
		return actionPlanMaker;
	}
	public void setActionPlanMaker(String actionPlanMaker) {
		this.actionPlanMaker = actionPlanMaker;
	}
	public String getActionPlanChecked() {
		return actionPlanChecked;
	}
	public void setActionPlanChecked(String actionPlanChecked) {
		this.actionPlanChecked = actionPlanChecked;
	}
	public String getActionPlanRejected() {
		return actionPlanRejected;
	}
	public void setActionPlanRejected(String actionPlanRejected) {
		this.actionPlanRejected = actionPlanRejected;
	}
	public String getUnitCode() {
		return unitCode;
	}
	public void setUnitCode(String unitCode) {
		this.unitCode = unitCode;
	}
	public String getUnitName() {
		return unitName;
	}
	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}
	public String getAddress1() {
		return address1;
	}
	public void setAddress1(String address1) {
		this.address1 = address1;
	}
	public String getAddress2() {
		return address2;
	}
	public void setAddress2(String address2) {
		this.address2 = address2;
	}
	public String getAddress3() {
		return address3;
	}
	public void setAddress3(String address3) {
		this.address3 = address3;
	}
	public String getCity() {
		return city;
	}
	public void setCity(String city) {
		this.city = city;
	}
	public String getPincode() {
		return pincode;
	}
	public void setPincode(String pincode) {
		this.pincode = pincode;
	}
	public String getFirstName() {
		return firstName;
	}
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}
	public String getLastName() {
		return lastName;
	}
	public void setLastName(String lastName) {
		this.lastName = lastName;
	}
	
}
